﻿using System.Windows;
using System.Windows.Controls;

namespace TestProject
{
    /// <summary>
    /// 테스트 버튼
    /// </summary>
    public class TestButton : Button
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Static

        #region 생성자 - TestButton()

        /// <summary>
        /// 생성자
        /// </summary>
        static TestButton()
        {
            EventManager.RegisterClassHandler
            (
                typeof(TestButton),
                ClickEvent,
                new RoutedEventHandler(button_Click)
            );
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 버튼 클릭시 처리하기 - button_Click(sender, e)

        /// <summary>
        /// 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private static void button_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("button_Click");

            // 주석을 제거하면 하위 클래스의 클래스 핸들러만 응답한다.
            e.Handled = true;
        }

        #endregion
    }
}